- page_title _("Blame"), @blob.path, @ref

#blob-content-holder.tree-holder{ data: { testid: 'blob-content-holder' } }
  = render "projects/blob/breadcrumb", blob: @blob, blame: true

  .file-holder.gl-overflow-hidden
    = render "projects/blob/header", blob: @blob, blame: true

    .file-blame-legend
      %span.left-label Newer
      %span.legend-box.legend-box-0
      %span.legend-box.legend-box-1
      %span.legend-box.legend-box-2
      %span.legend-box.legend-box-3
      %span.legend-box.legend-box-4
      %span.legend-box.legend-box-5
      %span.legend-box.legend-box-6
      %span.legend-box.legend-box-7
      %span.legend-box.legend-box-8
      %span.legend-box.legend-box-9
      %span.right-label Older

    .table-responsive.file-content.blame.code{ class: "#{user_color_scheme} gl-rounded-0!", data: { qa_selector: 'blame_file_content' } }
      %table
        - current_line = @blame.first_line
        - @blame.groups.each do |blame_group|
          - commit_data = @blame.commit_data(blame_group[:commit])
          - line_count = blame_group[:lines].count

          %tr{ style: intrinsic_row_css(line_count) }
            %td.blame-commit{ class: commit_data.age_map_class }
              .commit
                = commit_data.author_avatar

                .commit-row-title
                  %span.item-title.str-truncated-100
                    = commit_data.commit_link
                  %span
                    = commit_data.project_blame_link
                  &nbsp;

                .light
                  = commit_data.commit_author_link
                  = _('committed')
                  #{commit_data.time_ago_tooltip}

            %td.line-numbers
              - (current_line...(current_line + line_count)).each do |i|
                %a.diff-line-num.gl-justify-content-end{ href: "#L#{i}", id: "L#{i}", 'data-line-number' => i, class: "gl-display-flex!" }
                  .file-line-num
                    = i
                \

            %td.lines.gl-w-full
              %pre.code.highlight
                %code
                  - blame_group[:lines].each do |line|
                    #{line}

          - current_line += line_count

    - if @blame_pagination
      .gl-display-flex.gl-justify-content-center.gl-flex-direction-column.gl-align-items-center.gl-p-3.gl-bg-gray-50.gl-border-t-solid.gl-border-t-1.gl-border-gray-100
        = _('For faster browsing, not all history is shown.')
        = render Pajamas::ButtonComponent.new(href: namespace_project_blame_path(namespace_id: @project.namespace, project_id: @project, id: @id, no_pagination: true), size: :small, button_options: { class: 'gl-mt-3' }) do |c|
          = _('View entire blame')

  - if @blame_pagination
    = paginate(@blame_pagination, theme: "gitlab")
